Skip to main content
POST
/
v2
/
international
/
quotes
Create a new international transfer quote
curl --request POST \
  --url https://thirdparty.qonto.com/v2/international/quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_currency": "EUR",
  "target_currency": "USD",
  "source_amount": "100.00",
  "target_amount": "110.00"
}
'
{
  "quote": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "status": "PENDING",
    "created_at": "2025-01-01T08:00:00.000Z",
    "expired_at": "2025-01-01T08:00:00.000Z",
    "source_amount": {
      "currency": "EUR",
      "value": "100.00"
    },
    "target_amount": {
      "currency": "USD",
      "value": "110.00"
    },
    "rate": 1.1,
    "fees": {
      "total_amount": {
        "currency": "EUR",
        "value": "10.10"
      },
      "details": [
        {
          "currency": "EUR",
          "value": "10.10"
        }
      ]
    }
  }
}
source_amount and target_amount are mutually exclusive. You must provide one of them, but not both.

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
source_currency
string
required

The currency of the source account.

Example:

"EUR"

target_currency
string
required

The currency of the target account.

Example:

"USD"

source_amount
string

The amount to be transferred from the source account. If source_amount is defined, then the target_amount must not be defined.

Example:

"100.00"

target_amount
string

The amount to be received in the target account. If target_amount is defined, then the source_amount must not be defined.

Example:

"110.00"

Response

Returns the created international transfer quote.

quote
object